Page MenuHomePhabricator

German TFA FeaturedFeed should be limited to last 7 days
Closed, ResolvedPublic

Description

On dewiki the FeaturedFeed extension output for TFA should be restricted to the last seven days since dewiki chose to address them by days of the week. This leads to repetition of featured articles and the TFAs of over a week ago indicate the wrong featured article.

E.g. on March 6th https://de.wikipedia.org/w/api.php?action=featuredfeed&feed=featured&feedformat=atom lists the following entries:

  • 3/6/2017: title = Weißenberg (Frankenweide)
  • 3/5/2017: title = Agathokles von Syrakus

...

Details

Related Gerrit Patches:
operations/mediawiki-config : masterLimit FeaturedFeed on dewiki to last seven days

Event Timeline

bearND created this task.Mar 6 2017, 1:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2017, 1:28 AM
Legoktm added a subscriber: Legoktm.

If this is related to something in the operations/mediawiki-config repository it should be tagged with Wikimedia-Site-requests .

Change 341267 had a related patch set uploaded (by bsitzmann):
[operations/mediawiki-config] Limit FeaturedFeed on dewiki to last seven days

https://gerrit.wikimedia.org/r/341267

Dereckson triaged this task as Medium priority.May 3 2017, 6:49 PM
Dereckson added a subscriber: Dereckson.

I confirm according the documentation, the limit parameter is well the one to edit ("Maximum number of entries (ie number of days) in the feed.").

Since the problem only concern one feed, the featured one, I think that it's better to use wmgFeaturedFeedsOverrides. Sample:

'wmgFeaturedFeedsOverrides' => [
	'default' => [],
	'dewiki' => // T159664
		'featured' => [
			'limit' => 7,
		],
	],

@bearND do you still plan to work on this ?

Patch is now good for me, I'll deploy this in the week if it's good for you @bearND

@Framawiki This Thursday or next works for me. Are you going to add it to the SWAT deployment list or do you want me to? Which time are you thinking? If you need me, I won't be around for the European mid day SWAT windows, though. The US times are usually good for me. If you don't need me then choose whatever works best for you, of course. You probably know this stuff better than me anyways.

@bearND I'm ready to deploy this patch with my other ones in the next SWAT window (morning SWAT, in 15min). Is it ok for you ?

@Framawiki sorry I missed it since I was offline. Anytime is fine if you don't need me around.

Change 341267 merged by jenkins-bot:
[operations/mediawiki-config@master] Limit FeaturedFeed on dewiki to last seven days

https://gerrit.wikimedia.org/r/341267

Mentioned in SAL (#wikimedia-operations) [2017-07-27T18:15:11Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Limit FeaturedFeed on dewiki to 7 days (T159664) (duration: 00m 47s)

@Framawiki Yes, this looks good to me. Thank you!

Framawiki closed this task as Resolved.Jul 27 2017, 7:35 PM

Great !